FROM ubuntu:20.04
# One requires:
# - python3:
# - python3-numpy: Numpy is a dependency for xdyn
# - python3-pip: Needed to install the wheel
RUN apt-get update -yq \
 && apt-get install --yes --no-install-recommends \
    python3 \
    python3-pip \
    python3-numpy \
 && python3 --version
ADD xdyn*cp38*-linux_x86_64.whl /
RUN python3 -m pip install --no-index --find-links / xdyn \
 && python3 -c 'import xdyn; print(dir(xdyn)); print(xdyn.__version__)'
